Subject: Re: [PATCH net-next v13 12/15] net: stmmac: Fixed failure to set network speed to 1000.

From: [email-masked]
Date: Tue, 04 Jun 2024 11:29:43 +0000

2024年5月30日 15:22, "Russell King (Oracle)" <[email-masked]> 写到:

Hi, Russell, Serge,

> 
> On Thu, May 30, 2024 at 10:25:01AM +0800, Huacai Chen wrote:
> 
> > 
> > Hi, Yanteng,
> > 
> >  
> > 
> >  The title should be "Fix ....." rather than "Fixed .....", and it is
> > 
> 
> I would avoid the ambiguous "Fix" which for stable folk imply that this
> 
> is a bug fix - but it isn't. It's adding support for requiring 1G
> 
> speeds to always be negotiated.
Oh, I get it now. Thanks!

> 
> I would like this patch to be held off until more thought can be put
> 
> into how to handle this without having a hack in the driver (stmmac
> 
> has too many hacks and we're going to have to start saying no to
> 
> these.)
Yeah, you have a point there, but I would also like to hear Serge's opinion.

Thanks,
Yanteng